from bot_graphql.abc.history_query_abc import HistoryQueryABC


class TechnicianConfigHistoryQuery(HistoryQueryABC):
    def __init__(self):
        HistoryQueryABC.__init__(self, "TechnicianConfig")

        self.set_field("helpCommandReferenceUrl", lambda config, *_: config.help_command_reference_url)
        self.set_field("waitForRestart", lambda config, *_: config.wait_for_restart)
        self.set_field("waitForShutdown", lambda config, *_: config.wait_for_shutdown)
        self.set_field("cacheMaxMessages", lambda config, *_: config.cache_max_messages)
